- (tim) [regress/sftp-perm.sh] We need a shell that understands "! somecmd"
diff --git a/ChangeLog b/ChangeLog
index b4bbea1..e396e47 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -23,6 +23,7 @@
      fix bug introduced in hostname canonicalisation commit: don't try to
      resolve hostnames when a ProxyCommand is set unless the user has forced
      canonicalisation; spotted by Iain Morgan
+ - (tim) [regress/sftp-perm.sh] We need a shell that understands "! somecmd"
 
 20131023
  - (djm) OpenBSD CVS Sync
diff --git a/regress/sftp-perm.sh b/regress/sftp-perm.sh
index 3448740..304ca0a 100644
--- a/regress/sftp-perm.sh
+++ b/regress/sftp-perm.sh
@@ -29,7 +29,7 @@
 	_title="$1"
 	_check="$2"
 	test -z "$_check" && return
-	sh -c "$_check" || fail "postcondition check failed: $_title"
+	${TEST_SHELL} -c "$_check" || fail "postcondition check failed: $_title"
 }
 
 ro_test() {